package datasync.model;

import java.util.Date;
import java.util.List;

public class OuInfoJavaModel {

    /**
     * 组织单位ID
     */
    private String id;

    /**
     * 组织单位名称
     */
    private String ouName;

    /**
     * 父节点ID
     */
    private String parentId;

    /**
     * 描述
     */
    private String description;

    /**
     * 组织单位下的用户名集合
     */
    private List<String> users;

    /**
     * 是否分支机构
     */
    private boolean isSub;

    /**
     * 排序索引
     */
    private int orderIndex;

    /**
     * 过期日期
     */
    private Date endDate;

    /**
     * 组织状态
     */
    private String status;

    /**
     * 组织删除状态
     */
    private String deleteStatus;

    /**
     * 部门主管
     */
    private String managerNo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<String> getUsers() {
        return users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }

    public boolean isSub() {
        return isSub;
    }

    public void setSub(boolean sub) {
        isSub = sub;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(String deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getManagerNo() {
        return managerNo;
    }

    public void setManagerNo(String managerNo) {
        this.managerNo = managerNo;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.toLowerCase().hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        OuInfoJavaModel other = (OuInfoJavaModel) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equalsIgnoreCase(other.id))
            return false;
        return true;
    }

}
